<?php

declare(strict_types=1);

namespace App\Enum\OnlineRegistration;

use App\Enum\EnumMethodsTrait;

/**
 * Statut de l'enregistrement en ligne.
 */
enum RegistrationStatusEnum: string
{
    use EnumMethodsTrait;

    case NEGOTIABLE = 'NEGOTIABLE';
    case ACCEPTED = 'ACCEPTED';
    case PENDING = 'PENDING';
    case DENIED = 'DENIED';
}
